Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.mssql
Class MSSqlPlatform

    java.lang.Object
      org.apache.ddlutils.util.JdbcSupport
          org.apache.ddlutils.platform.PlatformImplBase
              org.apache.ddlutils.platform.mssql.MSSqlPlatform

All Implemented Interfaces:
  Platform

    public class MSSqlPlatform

extends PlatformImplBase

The platform implementation for the Microsoft SQL Server database.

Version:
  $Revision: 231306 $

Field Summary
`static String` | `DATABASENAME` Database name of this platform.
`static String` | `JDBC_DRIVER` The standard SQLServer jdbc driver.
`static String` | `JDBC_DRIVER_NEW` The new SQLServer 2005 jdbc driver which can also be used for SQL Server 2000.
`static String` | `JDBC_SUBPROTOCOL` The subprotocol used by the standard SQL Server driver.
`static String` | `JDBC_SUBPROTOCOL_INTERNAL` The subprotocol internally returned by the newer SQL Server 2005 driver.
`static String` | `JDBC_SUBPROTOCOL_NEW` The subprotocol recommended for the newer SQL Server 2005 driver.

Fields inherited from class org.apache.ddlutils.platform.PlatformImplBase
`MODEL_DEFAULT_NAME`

Constructor Summary
`MSSqlPlatform()` Creates a new platform instance.

Method Summary
`protected void` | `afterInsert(Connection connection, Table table)` Allows platforms to issue statements directly after rows have been inserted into the specified table.
`protected void` | `afterUpdate(Connection connection, Table table)` Allows platforms to issue statements directly after rows have been updated in the specified table.
`protected void` | `beforeInsert(Connection connection, Table table)` Allows platforms to issue statements directly before rows are inserted into the specified table.
`protected void` | `beforeUpdate(Connection connection, Table table)` Allows platforms to issue statements directly before rows are updated in the specified table.
`String` | `getName()` Returns the name of the database that this platform is for.

Methods inherited from class org.apache.ddlutils.platform.PlatformImplBase
`alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, createDatabase, createDeleteSql, createInsertSql, createResultSetIterator, createSelectLastInsertIdSql, createTables, createTables, createTables, createTables, createUpdateSql, delete, delete, dropDatabase, dropTable, dropTable, dropTables, dropTables, evaluateBatch, evaluateBatch, exists, extractColumnValue, fetch, fetch, fetch, fetch, fetch, fetch, fetch, fetch, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getCreateTablesSql, getCreateTablesSql, getDeleteSql, getDropTableSql, getDropTablesSql, getInsertSql, getLog, getModelReader, getObjectFromResultSet, getObjectFromResultSet, getPlatformInfo, getSqlBuilder, getUpdateSql, insert, insert, insert, insert, isDelimitedIdentifierModeOn, isForeignKeysSorted, isIdentityOverrideOn, isScriptModeOn, isSqlCommentsOn, logWarnings, postprocessModelFromDatabase, query, query, query, query, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, setDelimitedIdentifierModeOn, setForeignKeysSorted, setIdentityOverrideOn, setModelReader, setObject, setScriptModeOn, setSqlBuilder, setSqlCommentsOn, setStatementParameterValue, shutdownDatabase, shutdownDatabase, store, toColumnValues, update, update`

Methods inherited from class org.apache.ddlutils.util.JdbcSupport
`borrowConnection, closeStatement, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.Platform
`borrowConnection, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Field Detail

### DATABASENAME

    public static final String DATABASENAME

  Database name of this platform.

  See Also:
    Constant Field Values

### JDBC_DRIVER

    public static final String JDBC_DRIVER

  The standard SQLServer jdbc driver.

  See Also:
    Constant Field Values

### JDBC_DRIVER_NEW

    public static final String JDBC_DRIVER_NEW

  The new SQLServer 2005 jdbc driver which can also be used for SQL Server 2000.

  See Also:
    Constant Field Values

### JDBC_SUBPROTOCOL

    public static final String JDBC_SUBPROTOCOL

  The subprotocol used by the standard SQL Server driver.

  See Also:
    Constant Field Values

### JDBC_SUBPROTOCOL_NEW

    public static final String JDBC_SUBPROTOCOL_NEW

  The subprotocol recommended for the newer SQL Server 2005 driver.

  See Also:
    Constant Field Values

### JDBC_SUBPROTOCOL_INTERNAL

    public static final String JDBC_SUBPROTOCOL_INTERNAL

  The subprotocol internally returned by the newer SQL Server 2005 driver.

  See Also:
    Constant Field Values

Constructor Detail

### MSSqlPlatform

    public MSSqlPlatform()

  Creates a new platform instance.

Method Detail

### getName

    public String getName()

  Returns the name of the database that this platform is for.

  Returns:
    The name

### beforeInsert

    protected void beforeInsert(Connection connection,
                                Table table)
                         throws SQLException

  Allows platforms to issue statements directly before rows are inserted into the specified table.

  Overrides:
    `beforeInsert` in class `PlatformImplBase`
  Parameters:
    `connection` - The connection used for the insertion
    `table` - The table that the rows are inserted into
  Throws:
    `SQLException`

### afterInsert

    protected void afterInsert(Connection connection,
                               Table table)
                        throws SQLException

  Allows platforms to issue statements directly after rows have been inserted into the specified table.

  Overrides:
    `afterInsert` in class `PlatformImplBase`
  Parameters:
    `connection` - The connection used for the insertion
    `table` - The table that the rows have been inserted into
  Throws:
    `SQLException`

### beforeUpdate

    protected void beforeUpdate(Connection connection,
                                Table table)
                         throws SQLException

  Allows platforms to issue statements directly before rows are updated in the specified table.

  Overrides:
    `beforeUpdate` in class `PlatformImplBase`
  Parameters:
    `connection` - The connection used for the update
    `table` - The table that the rows are updateed into
  Throws:
    `SQLException`

### afterUpdate

    protected void afterUpdate(Connection connection,
                               Table table)
                        throws SQLException

  Allows platforms to issue statements directly after rows have been updated in the specified table.

  Overrides:
    `afterUpdate` in class `PlatformImplBase`
  Parameters:
    `connection` - The connection used for the update
    `table` - The table that the rows have been updateed into
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.